org.opencv.phase_unwrapping

## Class HistogramPhaseUnwrapping

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.phase_unwrapping.PhaseUnwrapping
    - - org.opencv.phase_unwrapping.HistogramPhaseUnwrapping

-     public class HistogramPhaseUnwrapping
      extends PhaseUnwrapping

  Class implementing two-dimensional phase unwrapping based on CITE: histogramUnwrapping This algorithm belongs to the quality-guided phase unwrapping methods. First, it computes a reliability map from second differences between a pixel and its eight neighbours. Reliability values lie between 0 and 16*pi*pi. Then, this reliability map is used to compute the reliabilities of "edges". An edge is an entity defined by two pixels that are connected horizontally or vertically. Its reliability is found by adding the the reliabilities of the two pixels connected through it. Edges are sorted in a histogram based on their reliability values. This histogram is then used to unwrap pixels, starting from the highest quality pixel. The wrapped phase map and the unwrapped result are stored in CV_32FC1 Mat.

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `HistogramPhaseUnwrapping(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HistogramPhaseUnwrapping` | `__fromPtr__(long addr)`
    `protected void` | `finalize()`
    `void` | `getInverseReliabilityMap(Mat reliabilityMap)` Get the reliability map computed from the wrapped phase map.

    - ### Methods inherited from class org.opencv.phase_unwrapping.PhaseUnwrapping

      `unwrapPhaseMap, unwrapPhaseMap`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HistogramPhaseUnwrapping

          protected HistogramPhaseUnwrapping(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static HistogramPhaseUnwrapping __fromPtr__(long addr)

    - #### getInverseReliabilityMap

          public void getInverseReliabilityMap(Mat reliabilityMap)

      Get the reliability map computed from the wrapped phase map.
      Parameters:
        `reliabilityMap` - Image where the reliability map is stored.

    - #### finalize

          protected void finalize()
                           throws Throwable

      Overrides:
        `finalize` in class `PhaseUnwrapping`
      Throws:
        `Throwable`

Generated on Thu Jul 25 2019 21:39:44 UTC / OpenCV 3.4.7